/*
 Compile:
 gcc -I/opt/openmpi/include -o mpitest mpitest.c -L/opt/openmpi/lib -lmpi -lorte -lopal -lutil -ldl -lpthread
*/

#include <mpi.h>
#include <stdio.h>

int main(int argc, char **argv)
{
  int rank;
  int tlevel;

  MPI_Init_thread(&argc, &argv, MPI_THREAD_MULTIPLE, &tlevel);

  MPI_Comm_rank(MPI_COMM_WORLD, &rank);

  printf("Hello from rank %d. Requested level %d, got %d.\n", rank, MPI_THREAD_MULTIPLE, tlevel);

  MPI_Finalize();
  return 0;
}
